# Max chunk sends per tick (per-world), 0 = no limit
max-chunk-sends-per-tick: 0

# Max chunk relights per tick (per-world), 0 = no limit
max-chunk-relights-per-tick: 0

# Maximum distance (in chunks) from which players can load chunks
# Set to 0 to only allow editing within render distance
max-chunk-load-distance: 256

# Whether players are allowed to teleport between worlds using views
allow-teleport-between-worlds: true

# Whether to allow clients to save/load/share blueprints through the server
blueprint-sharing: false

# Allow large chunk & entity data requests, not recommended for public servers
allow-large-chunk-data-request: false

# Raise the size limit for *all* packets to 2mb instead of 32kb. NOT RECOMMENDED FOR PUBLIC SERVERS
allow-large-payload-for-all-packets: false

# Action to take when a user with an incompatible Minecraft version or Axiom version joins
# Valid actions are 'kick' and 'warn'
# 'warn' will give the player a warning and disable Axiom
incompatible-data-version: "warn"
unsupported-axiom-version: "warn"

# Maximum packet size. Must not be less than 30000
max-block-buffer-packet-size: 0x100000

# Regex for whitelisting worlds
# The world can only be modified if the regex matches the world's name
whitelist-world-regex: ""

# Regex for blacklisting worlds
# If the regex matches the world's name, the world can't be modified
blacklist-world-regex: ""

# Block buffer rate-limit (in chunk sections per second), 0 = default limit
block-buffer-rate-limit: 0

# Log large block buffer changes
log-large-block-buffer-changes: false

# Whitelist entities that can be spawned/manipulated/deleted by the client
# e.g. ["item_display", "block_display", "text_display"]
whitelist-entities: []

# Blacklist entities that can be spawned/manipulated/deleted by the client
# e.g. ["ender_dragon"]
blacklist-entities: []

# Disables entity data sanitization. NOT RECOMMENDED FOR PUBLIC SERVERS
disable-entity-sanitization: false

# True allows players to see/manipulate marker entities
send-markers: false

# True to enable Annotations on this server
allow-annotations: false

# Disallowed blocks
# e.g. ["minecraft:wheat", "minecraft:oak_stairs[waterlogged=true]"]
disallowed-blocks: []

infinite-reach-limit: 256

# Whether to log Axiom changes with CoreProtect (if CoreProtect is installed)
log-core-protect-changes: true

# Overrides based on a permission/rank
# To apply, give the player the axiomlimits.example permission
limits:
  example:
    # Block buffer rate-limit (in chunk sections per second), 0 = default limit
    block-buffer-rate-limit: 20
